Public Member Functions | Public Attributes | List of all members
libabw::ABWOrderedListElement Struct Reference

`#include <ABWCollector.h>`

Inheritance diagram for libabw::ABWOrderedListElement:

## Public Member Functions
| ABWOrderedListElement ()
| ~ABWOrderedListElement () override
void | writeOut (librevenge::RVNGPropertyList &propList) const override
ABWListType | getType () const override
Public Member Functions inherited from libabw::ABWListElement
| ABWListElement ()
virtual | ~ABWListElement ()

## Public Attributes
librevenge::RVNGString | m_numFormat
librevenge::RVNGString | m_numPrefix
librevenge::RVNGString | m_numSuffix
int | m_startValue
Public Attributes inherited from libabw::ABWListElement
int | m_listLevel
double | m_minLabelWidth
double | m_spaceBefore
int | m_parentId
int | m_listId
| the list id More...

## Constructor & Destructor Documentation

## ◆ ABWOrderedListElement()

libabw::ABWOrderedListElement::ABWOrderedListElement | ( |  | ) |
| inline

## ◆ ~ABWOrderedListElement()

libabw::ABWOrderedListElement::~ABWOrderedListElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ getType()

ABWListType libabw::ABWOrderedListElement::getType | ( |  | ) | const
| inline override virtual

Implements libabw::ABWListElement.

## ◆ writeOut()

void libabw::ABWOrderedListElement::writeOut | ( | librevenge::RVNGPropertyList & | propList | ) | const
| override virtual

Reimplemented from libabw::ABWListElement.

## Member Data Documentation

## ◆ m_numFormat

librevenge::RVNGString libabw::ABWOrderedListElement::m_numFormat

## ◆ m_numPrefix

librevenge::RVNGString libabw::ABWOrderedListElement::m_numPrefix

## ◆ m_numSuffix

librevenge::RVNGString libabw::ABWOrderedListElement::m_numSuffix

## ◆ m_startValue

int libabw::ABWOrderedListElement::m_startValue

The documentation for this struct was generated from the following files:

- ABWCollector.h
- ABWCollector.cpp